=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2008-06-20 20:42:27 +0000
+++ loggerhead/static/css/global.css	2008-06-25 16:48:43 +0000
@@ -181,7 +181,7 @@
 	width:202px;
 }
 .datecell, .date {
-	width:100px;
+	width:110px;
 }
 .timedate, .timedate2 {
 	width:80px;

=== added file 'loggerhead/static/images/treeExpanded.png'
Binary files loggerhead/static/images/treeExpanded.png and loggerhead/static/images/treeExpanded.png differ
=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2008-06-17 23:24:14 +0000
+++ loggerhead/static/javascript/custom.js	2008-06-25 16:48:43 +0000
@@ -3,22 +3,25 @@
     $$('.revision_log').each(function(item, i)
     {
         // FIXME: Make less redundant
-        var thisSlider = new Fx.Slide( item.getElement( '.revisioninfo' ), { duration: 200 } );
+        var expander = new Fx.Slide( item.getElement( '.revisioninfo' ), { duration: 200 } );
         var shortDescription = item.getElement( '.short_description' );
         var longDescription = item.getElement( '.long_description' );
-        thisSlider.hide();
+        var expand_icon = item.getElement( '.expand_icon' );
+        expander.hide();
         item.getElement( '.expand_revisioninfo' ).addEvent( 'click', function()
             {
-                thisSlider.toggle();
+                expander.toggle();
                 if(longDescription.style.display == 'none')
                 {
                     longDescription.style.display = 'block';
                     shortDescription.style.display = 'none';
+                    expand_icon.src = expand_icon.alt;
                 }
                 else
                 {
                     longDescription.style.display = 'none';
                     shortDescription.style.display = 'block';
+                    expand_icon.src = expand_icon.title;
                 }
             } );
     });
@@ -30,19 +33,19 @@
     $$('.revision_log').each(function(item, i)
     {
         // FIXME: Make less redundant
-        var thisSlider = new Fx.Slide( item.getElement( '.revisioninfo' ), { duration: 200 } );
+        var expander = new Fx.Slide( item.getElement( '.revisioninfo' ), { duration: 200 } );
         var shortDescription = item.getElement( '.short_description' );
         var longDescription = item.getElement( '.long_description' );
         if(action == 'close')
         {
-            thisSlider.slideOut();
+            expander.slideOut();
             $('expand_all').style.display = 'block';
             $('collapse_all').style.display = 'none';
 
         }
         else if(action == 'open')
         {
-            thisSlider.slideIn();
+            expander.slideIn();
             $('expand_all').style.display = 'none';
             $('collapse_all').style.display = 'block';
         }

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2008-06-23 21:48:26 +0000
+++ loggerhead/templates/changelog.pt	2008-06-25 16:48:43 +0000
@@ -50,7 +50,7 @@
                   alt="expand all" /> expand all</a>
         </p>
         <p class="expand" id="collapse_all" style="display:none;"><a tal:attributes="href string:javascript:toggle_expand_all('close')">
-            <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')"
+            <img tal:attributes="src python:branch.static_url('/static/images/treeExpanded.png')"
                   alt="collapse all" /> collapse all</a>
         </p>
         <!-- Table -->        
@@ -74,8 +74,13 @@
                 </td>            
                 <td class="expcell">
                     <div class="expand_revisioninfo">
-                        <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')" 
-                             alt="Expand Revision" />
+                        <!-- So, this is interesting. I'm using "alt" to have the correct URL for the image of the expanded icon
+                             and "title" tag for the contracted URL of the image. This is a bit of a hack, but it's better than
+                             other approaches I tried  :)  -->
+                        <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png');
+                                             alt python:branch.static_url('/static/images/treeExpanded.png');
+                                             title python:branch.static_url('/static/images/treeCollapsed.png')" 
+                             class="expand_icon" />
                     </div>
                 </td>
                 <td class="summcell"><div tal:attributes="class string:short_description">

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-06-25 12:39:25 +0000
+++ loggerhead/templates/macros.pt	2008-06-25 16:48:43 +0000
@@ -29,13 +29,18 @@
         </ul>      
     </div>
     <!-- Loggerhead Content Area -->
-      <ul id="menuTabs">
+    <ul id="menuTabs">
+        <form tal:attributes="action python:branch.url('/changes', start_revid=getattr(navigation, 'start_revid', None), 
+                                                                   file_id=getattr(navigation, 'file_id', None))">
       	<div id="finderBox">
         	<label>Jump to revision:</label>
-            <input name="" type="text" />
+            <input name="q" type="search" />
             <div><a tal:attributes="href python:url(['/atom']);
-                                    title string:RSS feed for ${branch/friendly_name}"><img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')"  alt="RSS" /></a></div>
+                                    title string:RSS feed for ${branch/friendly_name}">
+                 <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')"  alt="RSS" /></a>
+            </div>
         </div>
+        </form>
         <li><a tal:attributes="href python:url('/changes', clear=1);
                                title string:Changes;
                                id string:on">Changes</a></li>

